# List

Launch stage: GA

`GET /api/2.0/accounts/{account_id}/oauth2/published-app-integrations`

Get the list of published OAuth app integrations for the specified <Account>

API scopes: authentication

## Path parameters

- `account_id` (string, optional)

## Query parameters

- `page_token` (string, optional)
- `page_size` (int32, optional)
  Default: `100`

## Returns

- `apps` (array of object, optional)
  List of Published OAuth App Integrations defined for the account.
  - `app_id` (string, optional)
    App-id of the published app integration
  - `integration_id` (string, optional)
    Unique integration id for the published OAuth app
  - `name` (string, optional)
    Display name of the published OAuth app
  - `token_access_policy` (object, optional)
    Token access policy
    - `access_token_ttl_in_minutes` (int32, optional)
      access token time to live in minutes
      Constraints: `[ 5 .. 1440 ]`
    - `refresh_token_ttl_in_minutes` (int32, optional)
      Refresh token time to live in minutes.
       When single-use refresh tokens are enabled, this represents the TTL of an individual refresh token.
       If the refresh token is used before it expires, a new one is issued with a renewed individual TTL.
      Constraints: `[ 5 .. 129600 ]`
    - `enable_single_use_refresh_tokens` (boolean, optional, Beta)
      Whether to enable single-use refresh tokens (refresh token rotation).
       If this feature is enabled, upon successfully getting a new access token using a refresh token, <Databricks> will
       issue a new refresh token along with the access token in the response and invalidate the old refresh token.
       The client should use the new refresh token to get access tokens in future requests.
    - `absolute_session_lifetime_in_minutes` (int32, optional, Beta)
      Absolute OAuth session TTL in minutes. Effective only when the single-use refresh token feature is enabled.
       This is the absolute TTL of all refresh tokens issued in one OAuth session. When a new refresh token is issued
       during refresh token rotation, it will inherit the same absolute TTL as the old refresh token.
       In other words, this represents the maximum amount of time a user can stay logged in without re-authenticating.
  - `created_by` (int64, optional)
  - `create_time` (string, optional)
- `next_page_token` (string, optional)

## Response

```json
{
  "apps": [
    {
      "app_id": "string",
      "integration_id": "string",
      "name": "string",
      "token_access_policy": {},
      "created_by": 0,
      "create_time": "string"
    }
  ],
  "next_page_token": "string"
}
```

